.dashboard-outer {
    display: flex;
    column-gap: toRem(24);
    row-gap: toRem(24);
    flex-direction: column;

    @include media-breakpoint-up(xl) {
        justify-content: space-between;
        flex-direction: row-reverse;
    }
}

.dashboard-aside {
    position: relative;
    display: flex;
    row-gap: toRem(24);
    flex-direction: column;

    @include media-breakpoint-up(xl) {
        width: toRem(318);
        flex-shrink: 0;
        height: auto;
        min-height: toRem(400);
    }
}

.dashboard-content {
    flex-grow: 1;
}

.title-sm {
    font-weight: 500;
    line-height: 120%;
    font-size: toRem(14);
}

.scroll-outer {
    flex-grow: 1;
    position: relative;
    min-height: toRem(300);
}

.scroll-container {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100%;
    overflow-y: auto;
    position: absolute;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: #ccc #223c50;


    &::-webkit-scrollbar {
        width: 8px;
        background-color: #f9f9fd;
    }

    &::-webkit-scrollbar-thumb {
        cursor: pointer;
        border-radius: 4px;
        background-color: #717985;
    }
}

.main-gray {
    padding: toRem(24) 0;
    background: #F6F8FA;
}

.main-white {
    padding: toRem(24) 0;
    background-color: $white;
    border-top: 1px solid #E3E4E4;
}

.nav-inline {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: toRem(20);

    &__item {
        color: black;
        text-decoration: none;
        font-size: toRem(14);
        line-height: toRem(24);
        white-space: nowrap;
        display: block;
        position: relative;
        padding-bottom: toRem(12);
        transition: .25s;

        &:before {
            left: 0;
            right: 0;
            bottom: 0;
            content: '';
            height: 2px;
            position: absolute;
            background: $blue;
            opacity: 0;
            transition: .25s;
        }

        &:hover {
            color: $blue;
            text-decoration: none;
            transition: .25s;
        }

        &.active {
            color: black;

            &:before {
                opacity: 1;
                visibility: visible;
                transition: .25s;
            }
        }

        &:not(:last-child) {
            margin-right: toRem(24);
        }
    }
}

.dashboard-review {
    display: grid;
    grid-row-gap: toRem(24);
    grid-column-gap: toRem(24);
    grid-template-columns: 100%;

    &--log {
    }

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr;

       &__item {

           &--07 {
               grid-column: span 2;
           }

           &--08 {
               grid-column: span 2;
           }
       }
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr;

        &__item {

            &--01 {
                order: 1;
            }

            &--01 {
                order: 2;
            }

            &--03 {
                order: 6;
            }

            &--04 {
                order: 4;
            }

            &--05 {
                order: 5;
            }

            &--06 {
                order: 3;
                grid-row: span 2;
            }

            &--07 {
                order: 7;
            }

            &--08 {
                order: 8;
                grid-column: span 3;
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        grid-template-columns: 1fr 1fr 1fr 1fr;

        &__item {

            &--01 {
                order: 1;
            }

            &--01 {
                order: 2;
            }

            &--03 {
                order: 6;
            }

            &--04 {
                order: 7;
            }

            &--05 {
                order: 5;
            }

            &--06 {
                order: 3;
                grid-row: span 2;
            }

            &--07 {
                order: 8;
            }

            &--08 {
                order: 4;
                grid-row: span 3;
                grid-column: span 1;
            }
        }

        &--log {
            height: auto;
        }
    }
}

.scoreboard {
    font-size: 0;
    line-height: 0;
    display: flex;
    flex-grow: 1;
    align-items: flex-end;
    justify-content: space-between;

    &__value {
        color: black;
        font-weight: 600;
        font-size: toRem(40);
        line-height: toRem(40);
    }

    &__label {
        color: black;
        font-size: toRem(14);
        line-height: toRem(24);
    }
}

.shift {
    height: toRem(28);
    border-radius: 8px;
    font-weight: 500;
    column-gap: toRem(2);
    font-size: toRem(14);
    line-height: toRem(24);
    padding: toRem(2) toRem(6);
    display: inline-flex;
    align-items: center;
    justify-content: center;

    i {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        height: toRem(24);
    }

    &--green {
        fill: #00A382;
        color: #00A382;
        background: #EAF7EF;
    }

    &--red {
        fill: #E51740;
        color: #E51740;
        background: #F8ECEB;
    }
}

.dashboard-management {
    display: grid;
    grid-row-gap: toRem(24);
    grid-column-gap: toRem(24);
    grid-template-columns: 100%;

    &__group {
        display: flex;
        flex-direction: column;
        row-gap: toRem(24);
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr;
    }


    @include media-breakpoint-up(xl) {
        grid-template-columns: 23.5% auto 34%;
    }
}

.progress-bar {
    height: toRem(8);
    overflow: hidden;
    border-radius: 4px;
    position: relative;
    background-color: #E6E9ED;

    &__value {
        height: toRem(8);
        background-color: #00A674;
        border-radius: 0 4px 4px 0;
    }
}

